## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
((PRAGMA)) encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.lIMIt
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(-(-(9223372036854775808)) AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';

ANALYZE;
ALTER TABLE t1 ADD COLUMN extra_4522 ANY DEFAULT '';
((PRAGMA)) encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.lIMIt
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(-(-(9223372036854775808)) AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';

ANALYZE;
ALTER TABLE t1 ADD COLUMN extra_4522 ANY DEFAULT '';
((PRAGMA)) encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.lIMIt
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(-(-(9223372036854775808)) AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';

ANALYZE;
ALTER TABLE t1 ADD COLUMN extra_4522 ANY DEFAULT '';
((PRAGMA)) encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.lIMIt
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(-(-(9223372036854775808)) AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';
PRAGMA encoding = 'UTF-16le';
PRAGMA writable_schema = ON;
CREATE VIRTUAL TABLE T
USING fts5(a,b);
INSERT INTO T VALUES ('a','b c'), ('d','e f');
SELECT a,b FROM T WHERE NOT NOT (NOT T MATCH 'b') ;
PRAGMA short_column_names = FALSE;
.limit
CREATE TABLE t1(n int, log int);
BEGIN;
INSERT INTO t1 VALUES(-json_array_length(CAST(9223372036854775808 AS NATIVE CHARACTER(70)NVARCHAR(100)), '$'), 1);
INSERT INTO t1 VALUES(3, 1);
INSERT INTO t1 VALUES(4, 1);
INSERT INTO t1 VALUES(4, 3);
SELECT min(n),min(log),max(n),max(log),sum(n),sum(log),avg(n),avg(log) FROM t1;
SELECT log, avg(n)+1 FROM t1 GROUP BY log ORDER BY log;
SELECT log*2+1 AS x, count(*) AS y FROM t1 GROUP BY x ORDER BY 10-(x+y);
SELECT log, count(*) FROM t1 GROUP BY log HAVING count(*)>=4 ORDER BY log;
SELECT log, count(*), avg(n), max(n+log*2) FROM t1 GROUP BY log ORDER BY max(n+log*2)+0, min(log,avg(n))+0;
SELECT COUNT(*) FILTER (WHERE n IS NOT NULL), SUM(rowid) FILTER (WHERE n > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(n) FILTER (WHERE n > 0 AND n < 100), COUNT(*) FILTER (WHERE typeof(n) = "text") FROM t1;
ALTER TABLE t1 RENAME COLUMN log TO log_r6179;
SELECT COUNT(*) FILTER (WHERE log IS NOT NULL), SUM(rowid) FILTER (WHERE log > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(log) FILTER (WHERE log > 0 AND log < 100), COUNT(*) FILTER (WHERE typeof(log) = "text") FROM t1;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_t1_967 AS SELECT log FROM t1;
PRAGMA temp_store = 'FILE';

ANALYZE;
ALTER TABLE t1 ADD COLUMN extra_4522 ANY DEFAULT '';

```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

